package net.cobem.grizzly.communication.composers.user;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;

import java.util.List;

public class SendUserTagsComposer {
    public static EventResponse compose(int ID, List<String> Tags) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.SendUserTagsEvent);
        Message.addInt(ID);
        Message.addInt(Tags.size());

        for (String Tag : Tags) {
            Message.addString(Tag);
        }

        return Message;
    }

}
